MetacatUI - Task #6781

Enable content proxying on the host running MetacatUI
06/18/2015 03:06 PM - Chris Jones

Status: Resolved Start date: 06/18/2015
Priority: Normal Due date:

Assignee: Lauren Walker % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 1.7.0 Spent time: 0.00 hour
Description

MetacatUI has been built up to make cross-origin calls to various services, particularly some of the DataONE search, node, and
account services. However, Lauren pointed out that IE8 and IE9 don't support CORS headers, and so these cross-origin requests
fail. As an alternative, set up a proxy service that will be an intermediate server between the client and the origin server (like the
CN). After discussion with Lauren and Ben, we thought that setting up apache mod_proxy (in reverse proxy mode) in conjunction
with mod_rewrite would enable pass-through functionality. For instance, a call to

https://search.test.dataone.org/cn/vi/accounts
will be proxied to

https://cn.dataone.org/cn/vi/accounts
and the Response would be sent back to the client. The MetacatUI client will still handle both XML and JSON responses.

Our second approach would be to write a custom servlet for the proxying that would run on the server hosting the MetacatU!| code.

Related issues:
Related to MetacatUl - Task #6780: Cross-origin resource sharing issues in IE... Resolved 06/09/2015

History

#1 - 06/18/2015 03:08 PM - Lauren Walker

- Target version set to 1.7.0

#2 - 06/18/2015 03:17 PM - Chris Jones

- Description updated

#3 - 06/18/2015 04:50 PM - Lauren Walker
Using the Apache ProxyPass and ProxyPassReverse directives worked to provide a gateway to the CN.
SSLProxyEngine on

ProxyPass "/cn/v1/" "https://cn.dataone.org/cn/v1/"
ProxyPassReverse "/cn/v1/" "https://cn.dataone.org/cn/v1/"

testing is still needed for authentication.

#4 - 06/26/2015 11:18 AM - Lauren Walker
- Status changed from New to Resolved

- translation missing: en.field_remaining_hours set to 0.0

04/27/2024 1/1



https://search.test.dataone.org/cn/v1/accounts
https://cn.dataone.org/cn/v1/accounts
http://www.tcpdf.org

